Applications menu fails to open due to change to /etc/xdg/menus/gnome-applications.menu

Bug #798951 reported by Doug McMahon
164
This bug affects 52 people
Affects Status Importance Assigned to Milestone
gnome-menus (Ubuntu)
Medium
Rodrigo Moya
gnome-panel (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-panel

on a new iso install the Applications dropdown menu fails to open
Changing /etc/xdg/menus/gnome-applications.menu back to just applications.menu allows it to work.

There is also a side issue that alacarte fails to open, will if there is an applications.menu already in ~/.config/menus but that's just a hack around

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-panel 1:3.0.2-0ubuntu4
ProcVersionSignature: Ubuntu 3.0-1.2-generic 3.0.0-rc3
Uname: Linux 3.0-1-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Fri Jun 17 16:40:10 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110608)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=en_US.utf8
 LC_MESSAGES=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-panel
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Doug McMahon (mc3man) wrote :
Revision history for this message
Jason Conti (jconti) wrote :

Marking as confirmed. Rebuilt with the following patch, which just renames all of the applications.menu references, and it seems to be working.

Changed in gnome-panel (Ubuntu):
status: New → Confirmed
tags: added: patch
Changed in gnome-panel (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Revision history for this message
Jeremy Bicha (jbicha) wrote :

I believe these files are installed by gnome-menus not gnome-panel.

dpkg -S nameoffile shows which package installed a particular file.

affects: gnome-panel (Ubuntu) → gnome-menus (Ubuntu)
Revision history for this message
Jeremy Bicha (jbicha) wrote :

This bug does not affect upgrades from the Gnome 3 PPA, just new installs. This is what my working upgrade shows:

/etc/xdg/menus$ ls -l
-rw-r--r-- 1 root root 7433 2011-04-06 08:15 applications.menu
drwxr-xr-x 2 root root 4096 2011-04-29 07:03 applications-merged
-rw-r--r-- 1 root root 7381 2011-06-01 05:51 gnome-applications.menu
-rw-r--r-- 1 root root 2803 2011-04-09 09:44 gnomecc.menu
-rw-r--r-- 1 root root 488 2010-06-07 00:20 gnome-screensavers.menu
-rw-r--r-- 1 root root 10920 2010-12-23 11:53 kde4-applications.menu
-rw-r--r-- 1 root root 279 2008-01-04 18:54 kde-information.menu
-rw-r--r-- 1 root root 1347 2011-03-07 11:23 settings.menu
-rw-r--r-- 1 root root 3891 2011-05-26 09:46 unity-place-applications.menu

applications-merged comes from Wine. applications.menu and settings.menu are not present on a new install.

See also http://ubuntuforums.org/showthread.php?t=1802602 where this bug is discussed.

Revision history for this message
Jean-Louis Dupond (dupondje) wrote :

Just did a new install, and hitting the same bug indeed.

Copied gnome-applications.menu to applications.menu, and it works fine now :)

Revision history for this message
Jeremy Bicha (jbicha) wrote :

This isn't actually a gnome-panel bug but a menu bug.

Changed in gnome-panel (Ubuntu):
status: New → Invalid
Revision history for this message
Jean-Louis Dupond (dupondje) wrote :

the debian/rules rename the file:

binary-install/gnome-menus::
 mv debian/gnome-menus/etc/xdg/menus/applications.menu debian/gnome-menus/etc/xdg/menus/gnome-applications.menu

Could be fine, but ofc all packages that try to read applications.menu fail.
Maby add symlink in the rules?

Revision history for this message
Doug McMahon (mc3man) wrote :

This makes using gnome-shell properly impossible without adding an applications.menu or creating a symlink, been about a month now so should be taken care of one way or the other
see Bug #799449

Changed in gnome-menus (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-menus - 3.0.1-0ubuntu5

---------------
gnome-menus (3.0.1-0ubuntu5) oneiric; urgency=low

  * debian/rules:
    - Remove rule renaming applications.menu to gnome-applications.menu
      (LP: #798951)
 -- Rodrigo Moya <email address hidden> Tue, 26 Jul 2011 18:41:11 +0200

Changed in gnome-menus (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Dmitry Shachnev (mitya57) wrote :
Revision history for this message
Anders Kaseorg (andersk) wrote :

/etc/xdg/menus/gnome-applications.menu is now considered an obsolete conffile and needs to be explicitly removed: http://wiki.debian.org/DpkgConffileHandling

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers